Package com.orchestranetworks.ui

# Class UIFormLabelSpec.DocumentationPane

java.lang.Object
com.orchestranetworks.ui.UIFormLabelSpec.DocumentationPane

Enclosing class:
  UIFormLabelSpec

public static final class UIFormLabelSpec.DocumentationPane extends Object
Describes the content of a documentation pane. A documentation pane is a pop-up displayed near the label's node.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentationPane()`
  Class constructor for specific documentation.
  `DocumentationPane(UserMessage aTitle)`
  Class constructor for specific documentation.
  `DocumentationPane(Path aPrefixedPath, boolean isAdvancedInfo)`
  Class constructor for standard node documentation.
  `DocumentationPane(String aTitle)`
  Class constructor for specific documentation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBlock(UserMessage aText)`
  Specifies an additional paragraph in an open section.
  `void`
  `addBlock(UserMessage aTitle, UserMessage aText)`
  Specifies an additional paragraph in an open section, consisting of a title and a text.
  `void`
  `addBlock(UserMessage aTitle, String aText)`
  Specifies an additional paragraph in an open section, consisting of a title and text.
  `void`
  `addBlock(String aText)`
  Specifies an additional paragraph in an open section.
  `void`
  `addBlock(String aTitle, UserMessage aText)`
  Specifies an additional paragraph in an open section, consisting of a title and a text.
  `void`
  `addBlock(String aTitle, String aText)`
  Specifies an additional paragraph in an open section, consisting of a title and text.
  `void`
  `setDescription(UserMessage description)`
  Specifies the description of the documentation pane.
  `void`
  `setDescription(String description)`
  Specifies the description for the documentation pane.
  `void`
  `setError(UserMessage error)`
  Optional, specifies an error message associated with the current node.
  `void`
  `setError(String error)`
  Optional, specifies an error message associated with the current node.
  `void`
  `setTitle(UserMessage aTitle)`
  Specifies the title of the documentation pane.
  `void`
  `setTitle(String aTitle)`
  Specifies the title of the documentation pane.
  `void`
  `setValidationMessage(UserMessage aValidationMessage)`
  Optional, specifies a validation message associated with the current node.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentationPane

    public DocumentationPane(Path aPrefixedPath, boolean isAdvancedInfo)
    Class constructor for standard node documentation. In this mode, the data model node corresponding to the specified prefixed path is retrieved from the user session context and its information is displayed using the default method.

    Note 1: In addition to being standard, one benefit of this mode is that the pane is built using an Ajax request. Thus, it is lightweight in terms of page container.

    Note 2: For UI forms only, an absolute path in the data model may be used instead of a prefixed path. Prefixed paths are mandatory for user services and recommended for UI forms.

    Parameters:
      `aPrefixedPath` - The prefixed path of the node whose documentation is to be displayed.
      `isAdvancedInfo` - `true` to display the advanced information, `false` otherwise. The advanced information provides technical information, such as the type and the path.
    See Also:
      - `UIFormWriter.getPrefixedPath(Path)`

  - ### DocumentationPane

    public DocumentationPane()
    Class constructor for specific documentation.
    Since:
      5.3.1

  - ### DocumentationPane

    public DocumentationPane(String aTitle)
    Class constructor for specific documentation.
    Parameters:
      `aTitle` - The title of the documentation pane.

  - ### DocumentationPane

    public DocumentationPane(UserMessage aTitle)
    Class constructor for specific documentation.
    Parameters:
      `aTitle` - The title of the documentation pane.

- ## Method Details

  - ### setTitle

    public void setTitle(String aTitle)
    Specifies the title of the documentation pane. In standard node documentation mode, this is the label (`osd:label`) of the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setTitle

    public void setTitle(UserMessage aTitle)
    Specifies the title of the documentation pane. In standard node documentation mode, this is the label (`osd:label`) of the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setDescription

    public void setDescription(String description)
    Specifies the description for the documentation pane. In standard node documentation mode, this is the property `osd:description` of the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setDescription

    public void setDescription(UserMessage description)
    Specifies the description of the documentation pane. In standard node documentation mode, this is the property `osd:description` of the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setError

    public void setError(String error)
    Optional, specifies an error message associated with the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setValidationMessage

    public void setValidationMessage(UserMessage aValidationMessage)
    Optional, specifies a validation message associated with the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### setError

    public void setError(UserMessage error)
    Optional, specifies an error message associated with the current node.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(String aText)
    Specifies an additional paragraph in an open section.

    This method is equivalent to:

    > `DocumentationPane.addBlock(null, value)`

    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(UserMessage aText)
    Specifies an additional paragraph in an open section.

    This method is equivalent to:

    > `DocumentationPane.addBlock(null, value)`

    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(String aTitle, String aText)
    Specifies an additional paragraph in an open section, consisting of a title and text.
    Parameters:
      `aText` - can be pure text or HTML not too heavy and well formed
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(UserMessage aTitle, String aText)
    Specifies an additional paragraph in an open section, consisting of a title and text.
    Parameters:
      `aText` - can be pure text or HTML not too heavy and well formed
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(String aTitle, UserMessage aText)
    Specifies an additional paragraph in an open section, consisting of a title and a text.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.

  - ### addBlock

    public void addBlock(UserMessage aTitle, UserMessage aText)
    Specifies an additional paragraph in an open section, consisting of a title and a text.
    Throws:
      `IllegalStateException` - If this pane was built in standard node documentation mode.